'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _bodyParser = require('body-parser');

var _bodyParser2 = _interopRequireDefault(_bodyParser);

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

var _requestHandlers = require('./requestHandlers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var startServer = function startServer() {
  var app = (0, _express2.default)();

  var movesRouter = _express2.default.Router();

  movesRouter.post('/access_token', function (request, response) {
    (0, _requestHandlers.handleMovesAccessTokenRequest)(request, response);
  });

  movesRouter.post('/refresh_access_token', function (request, response) {
    (0, _requestHandlers.handleMovesRefreshAccessTokenRequest)(request, response);
  });

  _winston2.default.log('info', 'Listening on port: ' + process.env.PORT);
  app.listen(process.env.PORT);

  app.use(_bodyParser2.default.json({ type: 'application/json' }));
  app.use('/moves', movesRouter);
};

exports.default = startServer;